package de.fhdw.gaming.ipspiel23.ht.domain;

import de.fhdw.gaming.core.domain.State;

/**
 * Represents a state of the Heads or Tails game.
 */
public interface IHTState extends State<IHTPlayer, IHTState> {
    
    /**
     * Returns the first player.
     */
    IHTPlayer getFirstPlayer();

    /**
     * Returns the second player.
     */
    IHTPlayer getSecondPlayer();
}
