package de.fhdw.gaming.ipspiel23.ht.strategy.impl.edge;

import de.fhdw.gaming.ipspiel23.ht.moves.factory.IHTMoveFactory;
import de.fhdw.gaming.ipspiel23.ht.strategy.IHTStrategy;
import de.fhdw.gaming.ipspiel23.ht.strategy.IHTStrategyFactory;

/**
 * Implements {@link IHTStrategyFactory} by creating a {@link HTEdgeStrategy}.  
 */
public class HTEdgeStrategyFactory implements IHTStrategyFactory {

    @Override
    public IHTStrategy create(final IHTMoveFactory moveFactory) {
        return new HTEdgeStrategy(moveFactory);
    }
}
